Search documentation of grizzly

# View Source Grizzly.ZWave.Commands.SwitchBinaryReport (grizzly v7.4.2)

Module for the SWITCH_BINARY_REPORT command

Params:

- `:target_value` - `:on`, `:off`, or `:unknown` (required)
- `:duration` - 0-255 (required V2)
- `:current_value` - `:on`, `:off`, or `:unknown` (required V2)

# Summary

## Types

param()
value()

## Functions

encode_target_value(atom)

# Types

Link to this type

# param()

View Source

    @type param() ::
      {:target_value, value()} | {:duration, byte()} | {:current_value, value()}

Link to this type

# value()

View Source

    @type value() :: :on | :off | :unknown

# Functions

Link to this function

# encode_target_value(atom)

View Source